PBEPBKDF2.BasePBKDF2 (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.provider.symmetric

## Class PBEPBKDF2.BasePBKDF2

- java.lang.Object
- - javax.crypto.SecretKeyFactorySpi
  - - org.bouncycastle.jcajce.provider.symmetric.util.BaseSecretKeyFactory
    - - org.bouncycastle.jcajce.provider.symmetric.PBEPBKDF2.BasePBKDF2

- All Implemented Interfaces:
    PBE
  Direct Known Subclasses:
    PBEPBKDF2.PBKDF2withUTF8
  Enclosing class:
    PBEPBKDF2

      public static class PBEPBKDF2.BasePBKDF2
      extends BaseSecretKeyFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.bouncycastle.jcajce.provider.symmetric.util.PBE

      `PBE.Util`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseSecretKeyFactory

      `algName, algOid`

    - ### Fields inherited from interface org.bouncycastle.jcajce.provider.symmetric.util.PBE

      `GOST3411, MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S1_UTF8, PKCS5S2, PKCS5S2_UTF8, RIPEMD160, SHA1, SHA256, TIGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PBEPBKDF2.BasePBKDF2(java.lang.String name, int scheme)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.crypto.SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec keySpec)`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseSecretKeyFactory

      `engineGetKeySpec, engineTranslateKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PBEPBKDF2.BasePBKDF2

          public PBEPBKDF2.BasePBKDF2(java.lang.String name,
                              int scheme)

  - ### Method Detail

    - #### engineGenerateSecret

          protected javax.crypto.SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                                         throws java.security.spec.InvalidKeySpecException

      Overrides:
        `engineGenerateSecret` in class `BaseSecretKeyFactory`
      Throws:
        `java.security.spec.InvalidKeySpecException`